Bug 44865 - Portal is empty on unjoined system
Portal is empty on unjoined system
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Portal
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Florian Best
Richard Ulmer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-26 16:43 CEST by Richard Ulmer
Modified: 2017-06-28 15:33 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 6: Setup Problem: Issue for the setup process
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.206
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Ulmer univentionstaff 2017-06-26 16:43:30 CEST
This bug was probably introduced in UCS4.2 . When I create a slave, but don't join during the setup I cannot join the domain via the UMC.

I can't login as the Administrator.

I can't get to the "Domain join"-module as root, since the root is redirected to the empty portal after login.
Comment 1 Michael Grandjean univentionstaff 2017-06-26 22:14:13 CEST
One attendee of the technical training last week hit this, too. Joining after the initial setup via the UMC is not possible for Backup/Slave/Member because of the portal redirection. Workaround is to SSH into the box and run "univention-join" on the commandline.
Comment 2 Florian Best univentionstaff 2017-06-27 12:31:51 CEST
The problem was that /usr/share/univention-portal/portal.join did not exists yet (it gets written by a listener after the join). I added a default portal in /usr/share/univention-portal/portal-unjoined.join and copy it in the postinst to /usr/share/univention-portal/portal.join, if the file does not exist yet. Therefore the file is not associated with any package and doesn't get overridden on updates. Previously existing portals aren't touched.

univention-portal.yaml:
r80508 | YAML Bug #44865

univention-portal (1.0.12-3):
r80507 | Bug #44865: Add default portal entries on unjoined systems
Comment 3 Richard Ulmer univentionstaff 2017-06-27 13:00:13 CEST
I can now get to the UMC via the Portal page, when logging in as root. -> Verified
Comment 4 Janek Walkenhorst univentionstaff 2017-06-28 15:33:42 CEST
<http://errata.software-univention.de/ucs/4.2/65.html>